<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\ParamAlertContPessoasService;

class ParamAlertContPessoasController extends FMCrud
{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $ParamAlertContPessoasService;

    public function __construct($crudService, $environment, ParamAlertContPessoasService $ParamAlertContPessoasService)
    {
        parent::__construct($crudService, $environment);
        $this->ParamAlertContPessoasService = $ParamAlertContPessoasService;
    }

    public function insertParamAlert(DTO\Request $request, DTO\Response $response)
    {
        $params = $request->getParameters();
        $this->ParamAlertContPessoasService->insertParamAlert($params);
        $var = array(0);
        $dtsVal = new DataSet('Message', $var);
        $response->addDataSet($dtsVal);
    }
}
